GET /api/v3/campaigns/extensions/vistar/{vistarInsertionOrderId}¶
Summary¶
GET campaigns/extensions/vistar/{vistarInsertionOrderId}
Description¶
Return a the mapped campaign for a given vistar insertion order id
Tags: campaigns
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notvistar_insertion_order_map(object) Type:object
Properties:
vistar_insertion_order_id(string)link_status(integer)pulling_status(integer)last_pull_at(string)created_at(string)updated_at(string)-
campaign(object) Type:objectProperties:
name(string)lcuid(string)active(boolean)created_at(string)campaign_state(integer)campaign_state_changed_at(string)hash_id(string)campaign_class(string)campaign_class_description(string)options(object) Type:object
Properties:
unique_board_sizes(array)- Array items:
string
- Array items:
unique_board_formats(array)- Array items:
string
- Array items:
watchfire_ignite_media_uuids(string)-
watchfire_ignite_advertiser_id(string) -
schedule(string) id(integer)build_status(integer)last_build_at(string)
Example Response¶
{
"success": true,
"vistar_insertion_order_map": {
"vistar_insertion_order_id": "7c70ac91-b33c-4c47-a349-457bfb3f74a2",
"link_status": 1,
"pulling_status": 0,
"last_pull_at": null,
"created_at": "2026-01-07T00:10:42.000000Z",
"updated_at": "2026-01-07T00:10:42.000000Z",
"campaign": {
"name": "Breezy Billboards North Washington",
"lcuid": "LCUID-LE-cbbc8019-ee94-4da9-a29e-a7265343ae7c",
"active": true,
"created_at": "2026-01-07T00:10:42.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPe",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
],
"watchfire_ignite_media_uuids": null,
"watchfire_ignite_advertiser_id": null
},
"schedule": null,
"id": 1030,
"build_status": 7,
"last_build_at": null
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--url "https://api.lucit.app/api/v3/campaigns/extensions/vistar/{vistarInsertionOrderId}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/campaigns/extensions/vistar/{vistarInsertionOrderId}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lucit.app/api/v3/campaigns/extensions/vistar/{vistarInsertionOrderId}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/campaigns/extensions/vistar/{vistarInsertionOrderId}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.get(url, headers=headers)
print(response.json())